# Note that this is NOT a relocatable package
%define ver      1.0.3
%define rel      4mdk
%define prefix   /usr

Summary: GNOME sysadmin programs
Name: gnome-admin
Version: %ver
Release: %rel
Copyright: LGPL
Group: System/Configuration/Other 
Source: ftp://ftp.gnome.org/pub/gnome-admin-%{ver}.tar.bz2
Source1: %{name}
BuildRoot: /tmp/gnome-admin-root
Icon: gnome-admin-logo.xpm
URL: http://www.gnome.org
Docdir: %{prefix}/doc

%description
GNOME system administration administration programs.

GNOME is the GNU Network Object Model Environment.  That's a fancy
name but really GNOME is a nice GUI desktop environment.  It makes
using your computer easy, powerful, and easy to configure.

%changelog
* Sun Apr 23 2000 dam's <damien@mandrakesoft.com> 1.0.3-4mdk
- added menu entry

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.3-3mdk
- adjust group
- SMP build/check

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMp build/check

* Fri Aug 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.0.3
- cleaned %files

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-admin CVS source tree

%prep
%setup


%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
%ifarch alpha
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --host=alpha-redhat-linux --prefix=%prefix --sysconfdir="/etc"
%else
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix --sysconfdir="/etc"
%endif
else
%ifarch alpha
  CFLAGS="$RPM_OPT_FLAGS" ./configure --host=alpha-redhat-linux --prefix=%prefix --sysconfdir="/etc"
%else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --sysconfdir="/etc"
%endif
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/usr/lib/menu/

%post
if [ -x /usr/bin/update-menus ]; then
        /usr/bin/update-menus
fi
  
%postun
if [ "$1" = 0 ]; then
        if [ -x /usr/bin/update-menus ]; then
        /usr/bin/update-menus
        fi
fi  


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/locale/*/LC_MESSAGES/*
%{prefix}/share/gnome/apps/*/*.desktop
%{prefix}/share/pixmaps/*
%{prefix}/share/logview
/usr/lib/menu/*
